package org.wso2.carbon.device.mgt.ios.api.utils.beans.wrapper;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.wso2.carbon.device.mgt.ios.payload.beans.Email;

import java.util.List;

@ApiModel(value = "EmailBeanWrapper",
        description = "Information related to Email Bean.")
public class EmailBeanWrapper {

    @ApiModelProperty(name = "deviceIDs", value = "List of device ids to to be executed the Email operation.", required = true)
    private List<String> deviceIDs;
    @ApiModelProperty(name = "operation", value = "Email operation.", required = true)
    private Email operation;

    public List<String> getDeviceIDs() {
        return deviceIDs;
    }

    public void setDeviceIDs(List<String> deviceIDs) {
        this.deviceIDs = deviceIDs;
    }

    public Email getOperation() {
        return operation;
    }

    public void setOperation(Email operation) {
        this.operation = operation;
    }
}
